Page MenuHomePhabricator

Multiple watchlists
Open, NormalPublic

Description

Original task description
It would be most useful to have multiple watchlists for a given user - a large list of personal favourites, smaller lists of a given subject, trouble spots, etc.

This functionality can be simulated by having multiple usernames, but it's not quick and easy to change usernames so as only to edit with the main username.


  • Merged task description from T160981 (which takes a different angle)

I would like to be able to bookmark articles and save them to lists based on their categories, e.g. Politics, Science, Pop Culture, etc.

From what I can tell, if you want to bookmark or watch an article, you can only put them all on the same global watchlist. It'd be really useful if users could simply have multiple watchlists and adjust preferences for them accordingly, both for editing/monitoring changes, and also just for bookmarking to easily find/share favorite articles.
Merged task description from duplicate T7875: Group similar pages in watchlist (aka multiple watchlists) (see comments, too)
This is a detailed proposal of how to implement something I call "watchlist categories" (should maybe come up with better name so it isn't confused with normal categories). The idea is to make the MediaWiki watchlist more flexible and allow users to have more than one watchlist:

  • By default, users only have one watchlist category called "General".
  • A new page is available at Special:Watchlist/categories where users can add, rename and remove watchlist categories.
  • When adding an article to your watchlist and you only have one watchlist category defined (default), the watched article will automatically be assigned to that one category (to the user, the watch proccess will look just like it does today).
  • When adding an article to your watchlist and you have defined more than one category, you'll go through an additional step. This step is a simple page of checkboxes that allows you to choose which of your watchlist categories you want the article to be assigned to (if none is chosen, the article is not watched).
  • The current watchlist edit page (Special:Watchlist/edit) gets an additional feature: Next to each article is a "Categories" link, that sends the user back to the pick-categories page with the checkboxes (see above).
  • At Special:Watchlist, besides the Namespace popup, another popup is added called "Categories" that allows you to choose which of your watchlist categories you wish to view (maybe that HTML form should be changed into GET-style so that users can bookmark specific category views). The easiest implementation is to only allow users to view one category at a time.

Merged task description from duplicate T120777: Watchlist priority options
Many veteran Wikipedians have watchlists that span thousands of articles, completely beyond the ability to effectively manage. If said Wikipedian can't edit for a certain period (say, a week), just going over the changes in the watchlist can take hours and become a chore that editors simply avoid, at the possible expense of missing vandalism and/or edits that they need to see.

There are external tools for creating and organizing watchlists in different ways, but I'd like to see many of those features built-in as part of MediaWiki. One important addition should be a tag for 'high-priority' articles, similar to how GMail has a tag for 'important' e-mail. While having multiple watchlists would support such functionality indirectly, it would be great to be able to see articles marked as 'important' inside the existing watchlist, and be able to filter them like one can now hide/show own edits, hide/show bot edits, etc.—Ynhockey (talk) 20:49, 7 November 2015 (UTC)

This card tracks a proposal from the 2015 Community Wishlist Survey:
This proposal received 33 support votes, and was ranked #30 out of 107 proposals. Discussion and votes

This task was also proposed in the Community Wishlist Survey 2016. This proposal received 47 support votes and was ranked #23 out of 265 proposals. View full proposal with discussion and votes here.


See also:

Details

Reference
bz1492

Related Objects

StatusAssignedTask
OpenNone
OpenNone

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz1492.
bzimport added a subscriber: Unknown Object (MLST).

(In reply to comment #0)

It would be most useful to have multiple watchlists for a given user - a large
list of personal favourites, smaller lists of a given subject, trouble spots, etc.

This functionality can be simulated by having multiple usernames, but it's not
quick and easy to change usernames so as only to edit with the main username.

My improved email-notification patch see
http://bugzilla.wikipedia.org/show_bug.cgi?id=454 and
http://meta.wikipedia.org/Enotif (to-do-list) will take this into consideration
in a newer version, as it will basically support to have a watchlist with _two_
checkboxes for each watched page:

  • a first checkbox (standard watched page),
  • a second checkbox (watched incl. e-mail notification)

the.r3m0t wrote:

Use User: subpages and Special:Relatedchangeslinked.

(In reply to comment #2)

Use User: subpages and Special:Relatedchangeslinked.

That's less than ideal, in that anyone can see just what's on that "watchlist",
unlike the standard watchlist.

ezyang wrote:

Multiple watchlists does not seem too hard to implement: just add an extra
column under the name of "wl_watchlist" to the watchlist table. 0 is the
default, you can add more.

The problem after that is feature creep: there are many things that I would want
to do afterwards...

  1. Allow users to title watchlists (requires a new table of user, watchlist and

name)

  1. Increase interoperability between watchlists (easier to transfer items to and

from and add an item to all watchlists)

  1. Allow a single core watchlist for other watchlists to derive off of:

hierarchies of watchlists

And, of course, unnecessary schema changes should be avoided like the plague.

http://en.wikipedia.org/wiki/Wikipedia:Requests_for_adminship/Genisock2 - a
request from en:User:Geni for admin powers on his second account for the
specific purpose of using the feature to watch pages not on any watchlist.
Obviously, people are having tremendous concerns about this idea. Multiple
watchlists would be marvellously helpful to admins.

Domas added a comment.Feb 4 2006, 12:22 AM

multiple watchlist can be easily emulated using standard functionality. create a subpage in your usage page and use
'Related changes' (or directly Special:Recentchangeslinked/User:blah/blahblah)

Er, that was already said in comment #2 and the problem with it outlined in
comment #3. Furthermore, making a big list of pages that only one person is
watching strikes me as putting out a 'KICK HERE' sign for the vandals.

robchur wrote:

Thinking on a clean and flexible implementation for this.

hannes wrote:

Here's a detailed proposal of how to implement something I call "watchlist
categories":

  • Per default users only have one watchlist category called "General".
  • A new page is available at Special:Watchlist/categories where users can add,

rename and remove watchlist categories.

  • When adding an article to your watchlist and you only have one watchlist

category defined (default), the watched article will automatically be assigned
to that category (to the user, the watch proccess will look just like it does
today).

  • When adding an article to your watchlist and you have defined more than one

category, you'll go through an additional step. This step is a simple page of
checkboxes that allows you to choose which of your watchlist categories you want
the article to be assigned to (if none is chosen, the article is not watched).

  • The current watchlist edit page (Special:Watchlist/edit) gets an additional

feature: Next to each article is a "Categories" link, that sends the user back
to the pick-categories page with the checkboxes (see above).

  • At Special:Watchlist, besides the Namespace popup, another popup is added

called "Categories" that allows you to choose which watchlist category you wish
to view (maybe that HTML form should be changed into GET-style so that users can
bookmark specific category views). The easiest implementation is to only allow
users to view one category at a time.

Think it could work? :)

aaron added a comment.May 10 2007, 3:55 PM

(In reply to comment #7)

Er, that was already said in comment #2 and the problem with it outlined in
comment #3. Furthermore, making a big list of pages that only one person is
watching strikes me as putting out a 'KICK HERE' sign for the vandals.

Is there really that much need to keep it private?

I fully support this feature request. Namely, my watchlist is for overseeing articles I contributed to etc. However, I'd like to have another watchlist for articles that need my attention, or just pages that I want to edit sometime in the future. Currently, I'm using temporary bookmark folder for such pages, but it's grown to 650 pages. It would be tremendously easier if all those pagetitles were kept in wiki.

-jkb- added a comment.Nov 8 2008, 3:26 PM

Fully support as well. Alternativelly, it could help to define the time how long a page should be listed (say 2 weeks, 1 month, indef...) for cases when I discus on a talk page at the present but know in one month it will not be important, etc.

IAlex added a comment.Jan 11 2009, 5:10 PM
  • Bug 16974 has been marked as a duplicate of this bug. ***
  • This bug has been marked as a duplicate of bug 5875 ***
Scott reopened this task as Open.Oct 6 2015, 7:43 PM
Scott edited projects, added MediaWiki-Watchlist; removed MediaWiki-Special-pages.
Scott set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 6 2015, 7:43 PM
Qgil updated the task description. (Show Details)Oct 11 2015, 8:53 PM
MZMcBride updated the task description. (Show Details)Feb 4 2016, 3:45 AM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptApr 20 2016, 8:12 PM
Scott added a comment.EditedMay 18 2016, 11:45 AM

Edit: based on a misreading! Please ignore.

@Quiddity, I object strongly to the change to the task description that you've made. You replaced a decade-old high-level request with a specific, and Byzantine, feature implementation proposal.

Please restore the original task description and place your proposal in a comment.

Hi @Scott, thanks for the feedback, I should have explained when I merged.
I left the original task description at the very top, and simply copied in the descriptions from 2 duplicate tasks.
All the merged tasks are asking for the same thing, from an end-user perspective - A way to differentiate the pages in our watchlist, into multiple buckets, which can each have unique settings, and be seen separately.

The original proposes the technical implementation of: a new unique database for every new watchlist.
The second proposes the technical implementation of: a new column in the existing database, which holds a "name", which can then be used in various new ways.[1]
The third doesn't suggest a technical implementation, but does emphasize the benefit of adding more powerful bucketing/filtering/labelling features to the existing watchlist, rather than creating separate watchlists.

[1] This is also the solution that has been discussed in relation to T1352: RFC: Support for user-specific page lists in core and T124752: [RFC] Expiring watch list entries, and AFAIK is likely to be implemented. Hence it is important to include here.

Does that help clarify? If you mostly (and still) object to the details included in the second item, one of us could rewrite it as a very brief and more abstract summary.
HTH.

Scott added a comment.May 26 2016, 8:39 AM

@Quiddity - sincere apologies. I was reading on my phone and completely misinterpreted the diff. All good.

Samat added a subscriber: Samat.Nov 15 2016, 9:37 PM
Samat awarded a token.Nov 19 2016, 1:08 PM
Qgil removed a subscriber: Qgil.Feb 15 2017, 5:29 PM
This task was proposed in the Community-Wishlist-Survey-2016 and in its current state needs owner. Wikimedia is participating in Google Summer of Code 2017 and Outreachy Round 14. To the subscribers -- would this task or a portion of it be a good fit for either of these programs? If so, would you be willing to help mentor this project? Remember, each outreach project requires a minimum of one primary mentor, and co-mentor.
Jdlrobson updated the task description. (Show Details)

I would be interested in doing a GSOC 2017 project for adding multiple watchlists. Any possible mentors who would be willing to mentor me?

@Techman129 As the deadline for GSOC is fast approaching; it might be hard to recruit mentors. You could still try your luck by asking on wikitech-l@lists.wikimedia.org if anyone would be interested in mentoring this project or connecting w/ mentors directly from here: https://www.mediawiki.org/wiki/Outreach_programs/Possible_mentors.